/*
** Module   : AutoZapElement.java
** Abstract : Groups widgets that have AUTO-ZAP attribute.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
** 002 IAS 20150605 Added support for the DISABLE-AUTO-ZAP
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups widgets that have AUTO-ZAP attribute.
 */
public interface AutoZapElement
{
   /**
    * Set value of the AUTO-ZAP attribute.
    *
    * @param    autoZap
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "AUTO-ZAP", setter = true)
   public void setAutoZap(boolean autoZap);

   /**
    * Set value of the AUTO-ZAP attribute.
    *
    * @param    autoZap
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "AUTO-ZAP", setter = true)
   public void setAutoZap(logical autoZap);

   /**
    * Get value of the AUTO-ZAP attribute.
    *
    * @return   value of the attribute.
    */
   @LegacyAttribute(name = "AUTO-ZAP")
   public logical isAutoZap();

   /**
    * Set value of the AUTO-ZAP attribute.
    *
    * @param    autoZap
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "DISABLE-AUTO-ZAP", setter = true)
   public void setDisableAutoZap(boolean autoZap);

   /**
    * Set value of the AUTO-ZAP attribute.
    *
    * @param    autoZap
    *           Value of the attribute.
    */
   @LegacyAttribute(name = "DISABLE-AUTO-ZAP", setter = true)
   public void setDisableAutoZap(logical autoZap);

   /**
    * Get value of the AUTO-ZAP attribute.
    *
    * @return   value of the attribute.
    */
   @LegacyAttribute(name = "DISABLE-AUTO-ZAP")
   public logical isDisableAutoZap();
}
